Subject: [6lo] LLC comment on draft-delcarpio-6lo-wlanah-00.txt

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 18 Jun 2015 19:17:02 +0200

> 3.5.  Link Layer Control
>
> The Logical Link Control (LLC) layers works as the interface between
> higher layers, for example IP, and the 802.11 MAC.  It supports
> higher layer protocol discrimination via the EtherType value
> utilizing the EtherType protocol discrimination method (EPD) defined
> in IEEE 802-2014 [IEEE802-2014].

I can not find the reference you mention.  Is the IEEE 802-2014
document available for free somewhere?

> Examples of EtherTypes are 0x0800 and 0x8DD, which are used to
> identify IPv4 and IPv6, respectively.

Nit: 0x86DD for IPv6, not 0x8DD.

That means to carry IPv6 Base Headers, not LOWPAN_IPHC headers.  The
full meaning of 0x86dd is at:
https://standards.ieee.org/develop/regauth/ethertype/eth.txt
> Internet Protocol Version 6 Crawford, M., "Transmission of IPv6
> Packets over Ethernet Networks," RFC-2464,
> http://www.ietf.org/rfc/rfc2464.txt
>
> IPv6 packets are transmitted in standard Ethernet frames.  The
> Ethernet header contains the Destination and Source Ethernet
> addresses and the Ethernet type code, which must contain the value
> 86DD hexadecimal.

One can't set EtherType 0x86dd and not find there an IPv6 Base Header.

Maybe if one wants to put there something else than an IPv6 Base Header
then one needs another EtherType(?)

Alex